<template>
  <b-col :sm="sm" :md="md" :lg="lg">
    <div class="panel-actu mb-5" :class="panelLargeur">
      <CoolLightBox :items="itemsLightbox" :index="index" :effect="'fade'" @close="index = null"></CoolLightBox>
      <div class="p-sm-3">
        <div class="box-img mb-3">
          <!-- Image principale -->
          <div class="box-img__img" @click="index = 0" :style="{ backgroundImage: 'url(' + urlFTP + 'tn/tn1-' + moduleContent.data.image1 + ')' }"></div>
        </div>
        <!-- Images dans bloc images-->
        <b-row no-gutters class="mt-3 mr-n3">
          <b-col cols="4" xl="2" class="pr-3 pb-3" v-for="(idxImg, indice) in nbConfigImg" :key="indice">
            <div class="box-img" v-if="moduleContent.data['image' + idxImg] != ''">
              <div class="box-img__img" @click="index = indice" :style="{ backgroundImage: 'url(' + urlFTP + 'tn/tn1-' + moduleContent.data['image' + idxImg] + ')' }"></div>
            </div>
          </b-col>
        </b-row>
      </div>

      <div class="p-sm-3">
        <!-- Titre de l'actu-->
        <h3 class="card-title" v-if="moduleContent.data.titre1">{{ moduleContent.data.titre1 }}</h3>

        <!-- Date -->
        <p>
          <small class="text-muted">Publié le {{ moduleContent.created_at | simplyDate }} </small>
        </p>
        <!-- Descriptif -->
        <div v-html="moduleContent.data.description1"></div>

        <hr class="my-4" />

        <!-- Social -->
        <share></share>
      </div>
    </div>
  </b-col>
</template>
<script>
import Share from "./share.vue";
export default {
  components: { Share },
  props: ["moduleContent", "pageName", "listProducts", "nbConfigImg", "panelLargeur", "sm", "md", "lg"],
  mounted: function() {
    this.fillLightBox();
  },
  data() {
    return {
      index: null,
      itemsLightbox: [],
      urlFTP: process.env.VUE_APP_URL_UPLOAD_FOLDER + process.env.VUE_APP_SITE_ALIAS + "/"
    };
  },
  methods: {
    goTo(link, item) {
      this.$router.push({ name: "news-detail", params: { id: item.id, listProducts: this.listProducts } });
      // this.$router.go();
    },
    fillLightBox() {
      if (parseInt(this.nbConfigImg) > 0) {
        for (let i = 1; i <= parseInt(this.nbConfigImg); i++) {
          // this.itemsLightbox.push()
          if (this.moduleContent.data["image" + i] != "") {
            let rawImg = {
              title: "",
              description: "",
              src: this.urlFTP + "tn/tn1-" + this.moduleContent.data["image" + i],
              thumb: this.urlFTP + "tn/tn1-" + this.moduleContent.data["image" + i]
            };
            this.itemsLightbox.push(rawImg);
          }
        }
      }
    }
  }
};
</script>
